Klineo/Docs
Open app ↗

API v1 reference

v1 · Proof, vaults, receipts and passports

Paths on this page are relative to /api/liquidity-studio/v1. Authentication and required headers vary by operation.

API reference overview · OpenAPI download

Operations on this page#

Method Path Operation
GET /vaults getVaults
POST /vaults postVaults
POST /vaults/preview-deployment postVaultsPreviewDeployment
GET /vaults/{vaultId} getVaultsByVaultId
GET /vaults/{vaultId}/issuer-exit-kit getVaultsByVaultIdIssuerExitKit
GET /vaults/{vaultId}/positions getVaultsByVaultIdPositions
GET /vaults/{vaultId}/inventory getVaultsByVaultIdInventory
GET /vaults/{vaultId}/depth getVaultsByVaultIdDepth
GET /vaults/{vaultId}/depth-history getVaultsByVaultIdDepthHistory
GET /vaults/{vaultId}/policy getVaultsByVaultIdPolicy
POST /vaults/{vaultId}/deployment-preview postVaultsByVaultIdDeploymentPreview
POST /vaults/{vaultId}/deployment-handoff postVaultsByVaultIdDeploymentHandoff
POST /vaults/{vaultId}/runtime-deployment-handoff postVaultsByVaultIdRuntimeDeploymentHandoff
POST /vaults/{vaultId}/deployment-finalization postVaultsByVaultIdDeploymentFinalization
POST /vaults/{vaultId}/deployment-handoff/cancel-expired postVaultsByVaultIdDeploymentHandoffCancelExpired
POST /vaults/{vaultId}/deployment-risk/reassess postVaultsByVaultIdDeploymentRiskReassess
POST /vaults/{vaultId}/lifecycle-transitions postVaultsByVaultIdLifecycleTransitions
POST /vaults/{vaultId}/testnet-mechanics-gates postVaultsByVaultIdTestnetMechanicsGates
POST /vaults/{vaultId}/testnet-mechanics-gates/{artifactId}/approval postVaultsByVaultIdTestnetMechanicsGatesByArtifactIdApproval
POST /vaults/{vaultId}/live-expansion-gates postVaultsByVaultIdLiveExpansionGates
POST /vaults/{vaultId}/live-expansion-gates/{artifactId}/approval postVaultsByVaultIdLiveExpansionGatesByArtifactIdApproval
POST /vaults/{vaultId}/capital-top-up-handoffs postVaultsByVaultIdCapitalTopUpHandoffs
POST /vaults/{vaultId}/capital-top-up-handoffs/{handoffId}/finalization postVaultsByVaultIdCapitalTopUpHandoffsByHandoffIdFinalization
POST /vaults/{vaultId}/capital-top-up-finalizations/{finalizationId}/reassessment postVaultsByVaultIdCapitalTopUpFinalizationsByFinalizationIdReassessment
POST /vaults/{vaultId}/control-handoffs postVaultsByVaultIdControlHandoffs
POST /vaults/{vaultId}/control-handoffs/{handoffId}/finalization postVaultsByVaultIdControlHandoffsByHandoffIdFinalization
POST /vaults/{vaultId}/policy-drafts postVaultsByVaultIdPolicyDrafts
GET /vaults/{vaultId}/policy-drafts getVaultsByVaultIdPolicyDrafts
POST /vaults/{vaultId}/policy-drafts/{policyId}/approve postVaultsByVaultIdPolicyDraftsByPolicyIdApprove
POST /vaults/{vaultId}/policy-drafts/{policyId}/handoffs postVaultsByVaultIdPolicyDraftsByPolicyIdHandoffs
POST /vaults/{vaultId}/policy-handoffs/{handoffId}/finalization postVaultsByVaultIdPolicyHandoffsByHandoffIdFinalization
GET /vaults/{vaultId}/proposals getVaultsByVaultIdProposals
POST /vaults/{vaultId}/proposals postVaultsByVaultIdProposals
POST /vaults/{vaultId}/proposals/{proposalId}/approve postVaultsByVaultIdProposalsByProposalIdApprove
POST /vaults/{vaultId}/proposals/{proposalId}/safe-bundle postVaultsByVaultIdProposalsByProposalIdSafeBundle
GET /vaults/{vaultId}/executions getVaultsByVaultIdExecutions
POST /vaults/{vaultId}/commercial-terms postVaultsByVaultIdCommercialTerms
POST /vaults/{vaultId}/commercial-terms/{termsId}/acceptance postVaultsByVaultIdCommercialTermsByTermsIdAcceptance
GET /vaults/{vaultId}/reports/{period} getVaultsByVaultIdReportsByPeriod
POST /vaults/{vaultId}/deploy postVaultsByVaultIdDeploy
POST /vaults/{vaultId}/funding-intents postVaultsByVaultIdFundingIntents
POST /vaults/{vaultId}/pause postVaultsByVaultIdPause
POST /vaults/{vaultId}/exit-preview postVaultsByVaultIdExitPreview
POST /vaults/{vaultId}/exit postVaultsByVaultIdExit
GET /vaults/{vaultId}/balances getVaultsByVaultIdBalances
POST /vaults/{vaultId}/strategy-evaluations postVaultsByVaultIdStrategyEvaluations
GET /vaults/{vaultId}/strategy-state getVaultsByVaultIdStrategyState
GET /vaults/{vaultId}/policies getVaultsByVaultIdPolicies
POST /vaults/{vaultId}/policies postVaultsByVaultIdPolicies
POST /vaults/{vaultId}/policies/{version}/review postVaultsByVaultIdPoliciesByVersionReview
POST /vaults/{vaultId}/policies/{version}/approve postVaultsByVaultIdPoliciesByVersionApprove
POST /vaults/{vaultId}/policies/{version}/activate postVaultsByVaultIdPoliciesByVersionActivate
POST /vaults/{vaultId}/policies/{version}/revoke postVaultsByVaultIdPoliciesByVersionRevoke
GET /vaults/{vaultId}/market-quality getVaultsByVaultIdMarketQuality
GET /vaults/{vaultId}/data-health getVaultsByVaultIdDataHealth
GET /vaults/{vaultId}/incidents getVaultsByVaultIdIncidents
POST /vaults/{vaultId}/incidents/{incidentId}/acknowledge postVaultsByVaultIdIncidentsByIncidentIdAcknowledge
GET /vaults/{vaultId}/evidence getVaultsByVaultIdEvidence
GET /vaults/{vaultId}/events getVaultsByVaultIdEvents
POST /vaults/{vaultId}/reports postVaultsByVaultIdReports

getVaults#

GET /vaults

Operation ID: getVaults

Authentication: __Host-klineo_session cookie (sessionCookie)

This operation declares no parameters.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaults#

POST /vaults

Operation ID: postVaults

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
name Yes string Min length: 2; Max length: 80
projectToken Yes string Pattern: ^0x[0-9a-fA-F]{40}$
quoteToken Yes string Pattern: ^0x[0-9a-fA-F]{40}$
quoteProfile Yes string Allowed: USDT, WBOT
ownerSafe Yes string Pattern: ^0x[0-9a-fA-F]{40}$
poolAddress Yes string Pattern: ^0x[0-9a-fA-F]{40}$
launchContext Yes string Allowed: PRE_TGE, POST_LAUNCH
strategy Yes object Additional properties rejected
strategy.kind Yes string Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY
strategy.version Yes string Min length: 1; Max length: 80
strategy.targetInventoryPips Yes integer Minimum: 0; Maximum: 1000000
strategy.rebalanceThresholdPips Yes integer Minimum: 0; Maximum: 1000000
strategy.quoteReserveFloor Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.maxCandidateAmount Yes string Pattern: ^[1-9][0-9]*$
strategy.rangeWidthTicks Yes integer Maximum: 1774544; Exclusive minimum: 0
strategy.diversificationTriggerPips Yes integer Minimum: 0; Maximum: 1000000
strategy.diversificationMandate No object Additional properties rejected
strategy.diversificationMandate.executionMode Yes Constant ISSUER_SAFE_APPROVAL_ONLY —
strategy.diversificationMandate.totalTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.dailyTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.hourlyTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.maximumOrganicVolumeParticipationPips Yes integer Minimum: 1; Maximum: 1000000
strategy.diversificationMandate.minimumSalePriceX18 Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.minimumRetainedTokenBalance Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.targetProtectedQuoteReserve Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.validUntil Yes string Format: date-time
strategy.diversificationMandate.proceedsRule Yes Constant PROTECTED_QUOTE_RESERVE —
strategy.diversificationMandate.repurchaseAllowed Yes Constant false —
strategy.diversificationMandate.unlockDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
strategy.diversificationMandate.insiderWalletDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
strategy.diversificationMandate.publicReportingMode Yes string Allowed: PRIVATE, ISSUER_APPROVED_PUBLIC
qualification Yes object Additional properties rejected
qualification.legalEntityName Yes string Min length: 2; Max length: 200
qualification.projectName Yes string Min length: 2; Max length: 160
qualification.maximumDeployableTokenAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.maximumDeployableQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.protectedQuoteReserveAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.reserveRationale Yes string Min length: 12; Max length: 1000
qualification.executionRecipientPolicy Yes Constant IMMUTABLE_VAULT_ONLY —
qualification.exitRecipient Yes string Pattern: ^0x[0-9a-fA-F]{40}$
qualification.intendedPolicyTerm Yes object Additional properties rejected
qualification.intendedPolicyTerm.validAfter Yes string Format: date-time
qualification.intendedPolicyTerm.validUntil Yes string Format: date-time
qualification.contacts Yes Array of object Min items: 2; Max items: 12
qualification.contacts[].kind Yes string Allowed: OPERATIONS, EMERGENCY, GOVERNANCE
qualification.contacts[].name Yes string Min length: 2; Max length: 120
qualification.contacts[].email Yes string Format: email; Max length: 254
qualification.contacts[].responseWindowMinutes Yes integer Minimum: 1; Maximum: 10080
qualification.launch Yes object Additional properties rejected
qualification.launch.launchDate Yes string Format: date-time
qualification.launch.unlockScheduleArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.tokenDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.governanceApprovalArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.dataRoom Yes object Additional properties rejected
qualification.dataRoom.termsVersion Yes string Min length: 1; Max length: 120
qualification.dataRoom.termsSource Yes string Min length: 3; Max length: 500
qualification.dataRoom.acceptedAt Yes string Format: date-time
qualification.desiredOutcomes Yes Array of string Min items: 1; Max items: 20
qualification.prohibitedBehaviors Yes Array of string Min items: 1; Max items: 20
qualification.referenceVenueIds Yes Array of string Min items: 1; Max items: 20
qualification.oracleSourceAddresses Yes Array of string Min items: 2; Max items: 2
reason Yes string Min length: 12; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsPreviewDeployment#

POST /vaults/preview-deployment

Operation ID: postVaultsPreviewDeployment

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
vaultId Yes string Min length: 1

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultId#

GET /vaults/{vaultId}

Operation ID: getVaultsByVaultId

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdIssuerExitKit#

GET /vaults/{vaultId}/issuer-exit-kit

Operation ID: getVaultsByVaultIdIssuerExitKit

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdPositions#

GET /vaults/{vaultId}/positions

Operation ID: getVaultsByVaultIdPositions

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdInventory#

GET /vaults/{vaultId}/inventory

Operation ID: getVaultsByVaultIdInventory

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdDepth#

GET /vaults/{vaultId}/depth

Operation ID: getVaultsByVaultIdDepth

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdDepthHistory#

GET /vaults/{vaultId}/depth-history

Operation ID: getVaultsByVaultIdDepthHistory

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdPolicy#

GET /vaults/{vaultId}/policy

Operation ID: getVaultsByVaultIdPolicy

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploymentPreview#

POST /vaults/{vaultId}/deployment-preview

Operation ID: postVaultsByVaultIdDeploymentPreview

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploymentHandoff#

POST /vaults/{vaultId}/deployment-handoff

Operation ID: postVaultsByVaultIdDeploymentHandoff

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived0 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived1 Yes string Pattern: ^(0|[1-9][0-9]*)$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdRuntimeDeploymentHandoff#

POST /vaults/{vaultId}/runtime-deployment-handoff

Operation ID: postVaultsByVaultIdRuntimeDeploymentHandoff

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploymentFinalization#

POST /vaults/{vaultId}/deployment-finalization

Operation ID: postVaultsByVaultIdDeploymentFinalization

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
transactionHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploymentHandoffCancelExpired#

POST /vaults/{vaultId}/deployment-handoff/cancel-expired

Operation ID: postVaultsByVaultIdDeploymentHandoffCancelExpired

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploymentRiskReassess#

POST /vaults/{vaultId}/deployment-risk/reassess

Operation ID: postVaultsByVaultIdDeploymentRiskReassess

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdLifecycleTransitions#

POST /vaults/{vaultId}/lifecycle-transitions

Operation ID: postVaultsByVaultIdLifecycleTransitions

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
to Yes string Allowed: LEAD, QUALIFIED, DATA_ROOM, SIMULATED, POLICY_DRAFT, TESTNET, SHADOW, FUND_READY, LIVE_CAPPED, LIVE_EXPANDED
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdTestnetMechanicsGates#

POST /vaults/{vaultId}/testnet-mechanics-gates

Operation ID: postVaultsByVaultIdTestnetMechanicsGates

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
exerciseWindowStart Yes string Format: date-time
exerciseWindowEnd Yes string Format: date-time
proofs Yes Array of object Min items: 15; Max items: 15
proofs[].mechanic Yes string Allowed: VAULT_DEPLOYMENT, SAFE_OWNERSHIP, DEPOSIT, PARTIAL_WITHDRAWAL, FULL_WITHDRAWAL, POSITION_CREATION, POSITION_ADJUSTMENT, FEE_COLLECTION, UNWIND, ORACLE_FAILURE, EXECUTOR_FAILURE, KEY_ROTATION, PAUSE_AND_ISSUER_EXIT, REORG_AND_REPLACEMENT, REPORT_GENERATION
proofs[].status Yes Constant PASSED —
proofs[].artifactKind Yes string Allowed: CHAIN_EXECUTION, SAFE_AUTHORITY, INCIDENT_DRILL, RECONCILIATION_RUN, REPORT_BUNDLE
proofs[].artifactId Yes string Pattern: ^[a-zA-Z0-9][a-zA-Z0-9:_-]{0,159}$
proofs[].evidenceHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
proofs[].transactionHashes Yes Array of string Max items: 100
proofs[].observedAt Yes string Format: date-time
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdTestnetMechanicsGatesByArtifactIdApproval#

POST /vaults/{vaultId}/testnet-mechanics-gates/{artifactId}/approval

Operation ID: postVaultsByVaultIdTestnetMechanicsGatesByArtifactIdApproval

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
artifactId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdLiveExpansionGates#

POST /vaults/{vaultId}/live-expansion-gates

Operation ID: postVaultsByVaultIdLiveExpansionGates

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
customerSuccessTrend Yes string Allowed: IMPROVING, STABLE, NEGATIVE_UNDERSTOOD
customerSuccessEvidenceHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
strategyNetResultUnderstandingHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
proposedCapitalCapAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdLiveExpansionGatesByArtifactIdApproval#

POST /vaults/{vaultId}/live-expansion-gates/{artifactId}/approval

Operation ID: postVaultsByVaultIdLiveExpansionGatesByArtifactIdApproval

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
artifactId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdCapitalTopUpHandoffs#

POST /vaults/{vaultId}/capital-top-up-handoffs

Operation ID: postVaultsByVaultIdCapitalTopUpHandoffs

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived0 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived1 Yes string Pattern: ^(0|[1-9][0-9]*)$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdCapitalTopUpHandoffsByHandoffIdFinalization#

POST /vaults/{vaultId}/capital-top-up-handoffs/{handoffId}/finalization

Operation ID: postVaultsByVaultIdCapitalTopUpHandoffsByHandoffIdFinalization

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
handoffId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
transactionHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdCapitalTopUpFinalizationsByFinalizationIdReassessment#

POST /vaults/{vaultId}/capital-top-up-finalizations/{finalizationId}/reassessment

Operation ID: postVaultsByVaultIdCapitalTopUpFinalizationsByFinalizationIdReassessment

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
finalizationId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdControlHandoffs#

POST /vaults/{vaultId}/control-handoffs

Operation ID: postVaultsByVaultIdControlHandoffs

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
action Yes string Allowed: PAUSE, RESUME, SCHEDULE_AUTOMATION, ACTIVATE_AUTOMATION, DISABLE_AUTOMATION, PARTIAL_WITHDRAW, ENTER_EXITING, FINALIZE_EXIT
reason Yes string Min length: 3; Max length: 500
resumeLifecycle No string Allowed: TESTNET, SHADOW, FUND_READY, LIVE_CAPPED, LIVE_EXPANDED
exitMinimums No Array of object Max items: 64
exitMinimums[].positionId Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount0Min Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount1Min Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts No object Additional properties rejected
withdrawalAmounts.amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts.amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdControlHandoffsByHandoffIdFinalization#

POST /vaults/{vaultId}/control-handoffs/{handoffId}/finalization

Operation ID: postVaultsByVaultIdControlHandoffsByHandoffIdFinalization

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
handoffId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
transactionHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPolicyDrafts#

POST /vaults/{vaultId}/policy-drafts

Operation ID: postVaultsByVaultIdPolicyDrafts

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
policy Yes object Additional properties rejected
policy.id Yes string Min length: 1
policy.version Yes integer Exclusive minimum: 0
policy.strategy Yes string Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY
policy.strategyVersion Yes string Min length: 1
policy.configHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
policy.validAfter Yes string Format: date-time
policy.validUntil Yes string Format: date-time
policy.cooldownSeconds Yes integer Minimum: 0; Maximum: 4294967295
policy.maxPositions Yes integer Maximum: 32; Exclusive minimum: 0
policy.maxOracleDeviationPips Yes integer Minimum: 0; Maximum: 100000
policy.maxTwapDeviationPips Yes integer Minimum: 0; Maximum: 100000
policy.minOracleConfidencePips Yes integer Minimum: 800000; Maximum: 1000000
policy.minOracleObservationAgeSeconds Yes integer Minimum: 1; Maximum: 3600
policy.maxSwapSlippagePips Yes integer Minimum: 0; Maximum: 100000
policy.maxDailyTurnoverPips Yes integer Minimum: 0; Maximum: 500000
policy.minActiveLiquidityPips Yes integer Minimum: 0; Maximum: 1000000
policy.minQuoteReservePips Yes integer Minimum: 0; Maximum: 1000000
policy.maxSwapPerAction Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxSwapPerDay Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxGasReimbursement Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxRealizedLossPerDay Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxCapitalPerPosition Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxActionsPerDay Yes integer Maximum: 10000; Exclusive minimum: 0
policy.minimumTick Yes integer Minimum: -887272; Maximum: 887272
policy.maximumTick Yes integer Minimum: -887272; Maximum: 887272
policy.maximumPositionWidthTicks Yes integer Maximum: 16777215; Exclusive minimum: 0
policy.minimumPositionWidthTicks Yes integer Maximum: 16777215; Exclusive minimum: 0
policy.allowedPools Yes Array of string Min items: 1; Max items: 32
policy.allowedRecipients Yes Array of string Min items: 1; Max items: 32
policy.executor Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.guardian Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.oracleGuard Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.quoteProfile Yes string Allowed: USDT, WBOT
reason Yes string Min length: 3; Max length: 500
sourceSimulationId No string Min length: 1

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdPolicyDrafts#

GET /vaults/{vaultId}/policy-drafts

Operation ID: getVaultsByVaultIdPolicyDrafts

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPolicyDraftsByPolicyIdApprove#

POST /vaults/{vaultId}/policy-drafts/{policyId}/approve

Operation ID: postVaultsByVaultIdPolicyDraftsByPolicyIdApprove

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
policyId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPolicyDraftsByPolicyIdHandoffs#

POST /vaults/{vaultId}/policy-drafts/{policyId}/handoffs

Operation ID: postVaultsByVaultIdPolicyDraftsByPolicyIdHandoffs

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
policyId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
phase Yes string Allowed: PROPOSE, ACTIVATE
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPolicyHandoffsByHandoffIdFinalization#

POST /vaults/{vaultId}/policy-handoffs/{handoffId}/finalization

Operation ID: postVaultsByVaultIdPolicyHandoffsByHandoffIdFinalization

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
handoffId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
transactionHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdProposals#

GET /vaults/{vaultId}/proposals

Operation ID: getVaultsByVaultIdProposals

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes ProposalRecord —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdProposals#

POST /vaults/{vaultId}/proposals

Operation ID: postVaultsByVaultIdProposals

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
trigger Yes string Min length: 3; Max length: 500
simulationId No string Min length: 1
action No Exactly one of: object; object Discriminator: kind
action.oneOf[1].kind Yes Constant WRAP_BOT —
action.oneOf[1].amount Yes string Pattern: ^(0|[1-9][0-9]*)$
action.oneOf[2].kind Yes Constant UNWRAP_WBOT —
action.oneOf[2].amount Yes string Pattern: ^(0|[1-9][0-9]*)$
action.oneOf[2].recipient Yes string Pattern: ^0x[0-9a-fA-F]{40}$

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes ProposalRecord —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdProposalsByProposalIdApprove#

POST /vaults/{vaultId}/proposals/{proposalId}/approve

Operation ID: postVaultsByVaultIdProposalsByProposalIdApprove

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
proposalId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes ProposalRecord —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdProposalsByProposalIdSafeBundle#

POST /vaults/{vaultId}/proposals/{proposalId}/safe-bundle

Operation ID: postVaultsByVaultIdProposalsByProposalIdSafeBundle

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
proposalId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes ProposalRecord —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdExecutions#

GET /vaults/{vaultId}/executions

Operation ID: getVaultsByVaultIdExecutions

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdCommercialTerms#

POST /vaults/{vaultId}/commercial-terms

Operation ID: postVaultsByVaultIdCommercialTerms

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
schedule Yes object Additional properties rejected
schedule.setupFeeQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.serviceFeeQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.serviceFeeCadence Yes string Allowed: DAILY, WEEKLY
schedule.performanceFeePips Yes integer Minimum: 0; Maximum: 300000
schedule.performanceFeeCapQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.gasReimbursement Yes string Allowed: NONE, ACTUAL_FINALIZED_RECEIPT_GAS
schedule.gasReimbursementCapQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.passThroughCostCapQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.totalFeeCapQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
schedule.paymentRecipient Yes string Pattern: ^0x[0-9a-fA-F]{40}$
benchmark Yes object Additional properties rejected
benchmark.version Yes Constant klineo-commercial-benchmark-v1 —
benchmark.kind Yes string Allowed: HOLD_OPENING_INVENTORY, PASSIVE_FULL_RANGE
benchmark.highWaterMark Yes Constant CUMULATIVE_ALPHA_PER_SIGNED_TERMS —
benchmark.negativeCarry Yes Constant true —
benchmark.reset Yes Constant NEW_SIGNED_TERMS_ONLY —
validAfter Yes string Format: date-time
validUntil Yes string Format: date-time
preparationReason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdCommercialTermsByTermsIdAcceptance#

POST /vaults/{vaultId}/commercial-terms/{termsId}/acceptance

Operation ID: postVaultsByVaultIdCommercialTermsByTermsIdAcceptance

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
termsId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
signature Yes string Pattern: ^0x[0-9a-fA-F]+$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdReportsByPeriod#

GET /vaults/{vaultId}/reports/{period}

Operation ID: getVaultsByVaultIdReportsByPeriod

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
period path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdDeploy#

POST /vaults/{vaultId}/deploy

Operation ID: postVaultsByVaultIdDeploy

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

Exactly one of: object; object

Field Required at this level Type Description and constraints
oneOf[1].amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
oneOf[1].amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$
oneOf[1].minimumReceived0 Yes string Pattern: ^(0|[1-9][0-9]*)$
oneOf[1].minimumReceived1 Yes string Pattern: ^(0|[1-9][0-9]*)$
oneOf[1].reason Yes string Min length: 3; Max length: 500
oneOf[2].reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdFundingIntents#

POST /vaults/{vaultId}/funding-intents

Operation ID: postVaultsByVaultIdFundingIntents

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived0 Yes string Pattern: ^(0|[1-9][0-9]*)$
minimumReceived1 Yes string Pattern: ^(0|[1-9][0-9]*)$
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPause#

POST /vaults/{vaultId}/pause

Operation ID: postVaultsByVaultIdPause

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
action No string Allowed: PAUSE
reason Yes string Min length: 3; Max length: 500
resumeLifecycle No string Allowed: TESTNET, SHADOW, FUND_READY, LIVE_CAPPED, LIVE_EXPANDED
exitMinimums No Array of object Max items: 64
exitMinimums[].positionId Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount0Min Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount1Min Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts No object Additional properties rejected
withdrawalAmounts.amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts.amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdExitPreview#

POST /vaults/{vaultId}/exit-preview

Operation ID: postVaultsByVaultIdExitPreview

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdExit#

POST /vaults/{vaultId}/exit

Operation ID: postVaultsByVaultIdExit

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
action No string Allowed: PARTIAL_WITHDRAW, ENTER_EXITING, FINALIZE_EXIT
reason Yes string Min length: 3; Max length: 500
resumeLifecycle No string Allowed: TESTNET, SHADOW, FUND_READY, LIVE_CAPPED, LIVE_EXPANDED
exitMinimums No Array of object Max items: 64
exitMinimums[].positionId Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount0Min Yes string Pattern: ^(0|[1-9][0-9]*)$
exitMinimums[].amount1Min Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts No object Additional properties rejected
withdrawalAmounts.amount0 Yes string Pattern: ^(0|[1-9][0-9]*)$
withdrawalAmounts.amount1 Yes string Pattern: ^(0|[1-9][0-9]*)$

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdBalances#

GET /vaults/{vaultId}/balances

Operation ID: getVaultsByVaultIdBalances

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdStrategyEvaluations#

POST /vaults/{vaultId}/strategy-evaluations

Operation ID: postVaultsByVaultIdStrategyEvaluations

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
trigger Yes string Min length: 3; Max length: 500
simulationId No string Min length: 1
action No Exactly one of: object; object Discriminator: kind
action.oneOf[1].kind Yes Constant WRAP_BOT —
action.oneOf[1].amount Yes string Pattern: ^(0|[1-9][0-9]*)$
action.oneOf[2].kind Yes Constant UNWRAP_WBOT —
action.oneOf[2].amount Yes string Pattern: ^(0|[1-9][0-9]*)$
action.oneOf[2].recipient Yes string Pattern: ^0x[0-9a-fA-F]{40}$

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes ProposalRecord —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdStrategyState#

GET /vaults/{vaultId}/strategy-state

Operation ID: getVaultsByVaultIdStrategyState

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdPolicies#

GET /vaults/{vaultId}/policies

Operation ID: getVaultsByVaultIdPolicies

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPolicies#

POST /vaults/{vaultId}/policies

Operation ID: postVaultsByVaultIdPolicies

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
policy Yes object Additional properties rejected
policy.id Yes string Min length: 1
policy.version Yes integer Exclusive minimum: 0
policy.strategy Yes string Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY
policy.strategyVersion Yes string Min length: 1
policy.configHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
policy.validAfter Yes string Format: date-time
policy.validUntil Yes string Format: date-time
policy.cooldownSeconds Yes integer Minimum: 0; Maximum: 4294967295
policy.maxPositions Yes integer Maximum: 32; Exclusive minimum: 0
policy.maxOracleDeviationPips Yes integer Minimum: 0; Maximum: 100000
policy.maxTwapDeviationPips Yes integer Minimum: 0; Maximum: 100000
policy.minOracleConfidencePips Yes integer Minimum: 800000; Maximum: 1000000
policy.minOracleObservationAgeSeconds Yes integer Minimum: 1; Maximum: 3600
policy.maxSwapSlippagePips Yes integer Minimum: 0; Maximum: 100000
policy.maxDailyTurnoverPips Yes integer Minimum: 0; Maximum: 500000
policy.minActiveLiquidityPips Yes integer Minimum: 0; Maximum: 1000000
policy.minQuoteReservePips Yes integer Minimum: 0; Maximum: 1000000
policy.maxSwapPerAction Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxSwapPerDay Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxGasReimbursement Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxRealizedLossPerDay Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxCapitalPerPosition Yes string Pattern: ^(0|[1-9][0-9]*)$
policy.maxActionsPerDay Yes integer Maximum: 10000; Exclusive minimum: 0
policy.minimumTick Yes integer Minimum: -887272; Maximum: 887272
policy.maximumTick Yes integer Minimum: -887272; Maximum: 887272
policy.maximumPositionWidthTicks Yes integer Maximum: 16777215; Exclusive minimum: 0
policy.minimumPositionWidthTicks Yes integer Maximum: 16777215; Exclusive minimum: 0
policy.allowedPools Yes Array of string Min items: 1; Max items: 32
policy.allowedRecipients Yes Array of string Min items: 1; Max items: 32
policy.executor Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.guardian Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.oracleGuard Yes string Pattern: ^0x[0-9a-fA-F]{40}$
policy.quoteProfile Yes string Allowed: USDT, WBOT
reason Yes string Min length: 3; Max length: 500
sourceSimulationId No string Min length: 1

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPoliciesByVersionReview#

POST /vaults/{vaultId}/policies/{version}/review

Operation ID: postVaultsByVaultIdPoliciesByVersionReview

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
version path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPoliciesByVersionApprove#

POST /vaults/{vaultId}/policies/{version}/approve

Operation ID: postVaultsByVaultIdPoliciesByVersionApprove

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
version path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPoliciesByVersionActivate#

POST /vaults/{vaultId}/policies/{version}/activate

Operation ID: postVaultsByVaultIdPoliciesByVersionActivate

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
version path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdPoliciesByVersionRevoke#

POST /vaults/{vaultId}/policies/{version}/revoke

Operation ID: postVaultsByVaultIdPoliciesByVersionRevoke

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
version path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdMarketQuality#

GET /vaults/{vaultId}/market-quality

Operation ID: getVaultsByVaultIdMarketQuality

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdDataHealth#

GET /vaults/{vaultId}/data-health

Operation ID: getVaultsByVaultIdDataHealth

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdIncidents#

GET /vaults/{vaultId}/incidents

Operation ID: getVaultsByVaultIdIncidents

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdIncidentsByIncidentIdAcknowledge#

POST /vaults/{vaultId}/incidents/{incidentId}/acknowledge

Operation ID: postVaultsByVaultIdIncidentsByIncidentIdAcknowledge

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
incidentId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
message Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdEvidence#

GET /vaults/{vaultId}/evidence

Operation ID: getVaultsByVaultIdEvidence

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getVaultsByVaultIdEvents#

GET /vaults/{vaultId}/events

Operation ID: getVaultsByVaultIdEvents

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postVaultsByVaultIdReports#

POST /vaults/{vaultId}/reports

Operation ID: postVaultsByVaultIdReports

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
vaultId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
cadence Yes string Allowed: DAILY, WEEKLY
periodEnd No string Format: date-time
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
202 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

202 application/json body

object

Field Required at this level Type Description and constraints
data Yes BackgroundJob —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.